Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.lucene.facet.search
Class TopKInEachNodeHandler.AACO

    java.lang.Object
      org.apache.lucene.facet.search.TopKInEachNodeHandler.AACO

Enclosing class:
  TopKInEachNodeHandler

    protected static final class TopKInEachNodeHandler.AACO

extends Object

Maintains an array of `AggregatedCategory`. For space consideration, this is implemented as a pair of arrays, ordinals and values, rather than one array of pairs. Enumerated in ordinals are siblings, potential nodes of the `FacetResult` tree (i.e., the descendants of the root node, no deeper than the specified depth). No more than K ( = `FacetRequest.numResults`) siblings are enumerated.

NOTE: This API is for internal purposes only and might change in incompatible ways in the next release.

Method Summary

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Overview | Package | Class | Use | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2013 Apache Software Foundation. All Rights Reserved.